<?php

namespace Bixo\Description;

use DB;
use Illuminate\Database\Seeder;

class DescriptionTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('descriptions')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'description.description.view',
                'name'      => 'View Description',
            ],
            [
                'slug'      => 'description.description.create',
                'name'      => 'Create Description',
            ],
            [
                'slug'      => 'description.description.edit',
                'name'      => 'Update Description',
            ],
            [
                'slug'      => 'description.description.delete',
                'name'      => 'Delete Description',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'description.description.verify',
                'name'      => 'Verify Description',
            ],
            [
                'slug'      => 'description.description.approve',
                'name'      => 'Approve Description',
            ],
            [
                'slug'      => 'description.description.publish',
                'name'      => 'Publish Description',
            ],
            [
                'slug'      => 'description.description.unpublish',
                'name'      => 'Unpublish Description',
            ],
            [
                'slug'      => 'description.description.cancel',
                'name'      => 'Cancel Description',
            ],
            [
                'slug'      => 'description.description.archive',
                'name'      => 'Archive Description',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/description/description',
                'name'        => 'Description',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/description/description',
                'name'        => 'Description',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'description',
                'name'        => 'Description',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Description',
                'module'    => 'Description',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'description.description.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
