Lavalite package that provides description management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `bixo/description`.

    "bixo/description": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Bixo\Description\Providers\DescriptionServiceProvider::class,

And also add it to alias

    'Description'  => Bixo\Description\Facades\Description::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Bixo\\DescriptionTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Bixo\Description\Providers\DescriptionServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Bixo\Description\Providers\DescriptionServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Bixo\Description\Providers\DescriptionServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/description/{modulename}

**User**

    http://path-to-route-folder/user/description/{modulename}

**Public**

    http://path-to-route-folder/descriptions


### API endpoints

**List**

    http://path-to-route-folder/api/user/description/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/description/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/description/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/description/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/description/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/description/{modulename}/{slug}
    METHOD: GET