<?php

// API routes  for description
Route::prefix('{guard}/description')->group(function () {
    Route::get('description/form/{element}', 'DescriptionAPIController@form');
    Route::resource('description', 'DescriptionAPIController');
});

// Public routes for description
Route::get('descriptions/', 'DescriptionPublicController@index');
Route::get('descriptions/{slug?}', 'DescriptionPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for descriptions
            Route::prefix('{guard}/description')->group(function () {
                Route::get('description/form/{element}', 'DescriptionAPIController@form');
                Route::apiResource('description', 'DescriptionAPIController');
            });
            // Public routes for descriptions
            Route::get('description/Description', 'DescriptionPublicController@getDescription');
        }
    );
}

