<?php

namespace Bixo\Description;

use User;

class Description
{
    /**
     * $description object.
     */
    protected $description;

    /**
     * Constructor.
     */
    public function __construct(\Bixo\Description\Interfaces\DescriptionRepositoryInterface $description)
    {
        $this->description = $description;
    }

    /**
     * Returns count of description.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.description.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->description->pushCriteria(new \Litepie\Bixo\Repositories\Criteria\DescriptionUserCriteria());
        }

        $description = $this->description->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('description::' . $view, compact('description'))->render();
    }
}
