<?php

namespace Bixo\Description\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class DescriptionTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Description\Models\Description $description)
    {
        return [
            'id'                => $description->getRouteKey(),
            'key'               => [
                'public'    => $description->getPublicKey(),
                'route'     => $description->getRouteKey(),
            ], 
            'type'              => $description->type,
            'Category'          => $description->Category,
            'description'       => $description->description,
            'user_id'           => $description->user_id,
            'user_type'         => $description->user_type,
            'deleted_at'        => $description->deleted_at,
            'url'               => [
                'public'    => trans_url('description/'.$description->getPublicKey()),
                'user'      => guard_url('description/description/'.$description->getRouteKey()),
            ], 
            'status'            => trans('app.'.$description->status),
            'created_at'        => format_date($description->created_at),
            'updated_at'        => format_date($description->updated_at),
        ];
    }
}