<?php

namespace Bixo\Description\Workflow;

use Bixo\Description\Models\Description;
use Bixo\Description\Notifications\DescriptionWorkflow as DescriptionNotifyer;
use Notification;

class DescriptionNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Description $description
     *
     * @return void
     */
    public function complete(Description $description)
    {
        return Notification::send($description->user, new DescriptionNotifyer($description, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Description $description
     *
     * @return void
     */
    public function verify(Description $description)
    {
        return Notification::send($description->user, new DescriptionNotifyer($description, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Description $description
     *
     * @return void
     */
    public function approve(Description $description)
    {
        return Notification::send($description->user, new DescriptionNotifyer($description, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Description $description
     *
     * @return void
     */
    public function publish(Description $description)
    {
        return Notification::send($description->user, new DescriptionNotifyer($description, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Description $description
     *
     * @return void
     */
    public function archive(Description $description)
    {
        return Notification::send($description->user, new DescriptionNotifyer($description, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Description $description
     *
     * @return void
     */
    public function unpublish(Description $description)
    {
        return Notification::send($description->user, new DescriptionNotifyer($description, 'unpublish'));;

    }
}
